(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6010,        186]
NotebookOptionsPosition[      5696,        171]
NotebookOutlinePosition[      6098,        188]
CellTagsIndexPosition[      6055,        185]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "u1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"u1", "[", "t_", "]"}], ":=", 
   RowBox[{"5", "*", 
    RowBox[{"Tanh", "[", 
     RowBox[{"100", "*", 
      RowBox[{"Sin", "[", 
       RowBox[{"2", "*", "Pi", "*", "1000", "t"}], "]"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"u1", "[", "t", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "0.05"}], "}"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "300"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"R1", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R2", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "6"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", "0.05"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"odporR1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R1", "*", 
      RowBox[{"iR1", "[", "t", "]"}]}], "\[Equal]", 
     RowBox[{
      RowBox[{"u1", "[", "t", "]"}], "-", 
      RowBox[{"u2", "[", "t", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"civka", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"u2", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"L", "*", 
       RowBox[{
        RowBox[{"iL", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"iL", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kond", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"uc", "[", "t", "]"}], "==", 
      RowBox[{
       RowBox[{"u3", "[", "t", "]"}], "-", 
       RowBox[{"u2", "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"iC", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"c", "*", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"uc", "[", "t", "]"}], ",", "t"}], "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"uc", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uzel2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"iR1", "[", "t", "]"}], "+", 
      RowBox[{"iC", "[", "t", "]"}]}], "==", 
     RowBox[{"iL", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"odporR2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R2", "*", 
      RowBox[{"iR2", "[", "t", "]"}]}], "\[Equal]", 
     RowBox[{"u3", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uzel3", "=", 
   RowBox[{"{", 
    RowBox[{"0", "==", 
     RowBox[{
      RowBox[{"iC", "[", "t", "]"}], "+", 
      RowBox[{"iR2", "[", "t", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceCelkem", "=", 
   RowBox[{"Union", "[", 
    RowBox[{
    "odporR1", ",", "odporR2", ",", "civka", ",", "kond", ",", "uzel2", ",", 
     "uzel3"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Length", "[", "rceCelkem", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname", "=", 
   RowBox[{"Union", "@", 
    RowBox[{"Cases", "[", 
     RowBox[{"rceCelkem", ",", 
      RowBox[{"_Symbol", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"rceCelkem", ",", "nezname", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "0.01"}], "}"}], ",", 
      RowBox[{"SolveDelayed", "->", "True"}], ",", 
      RowBox[{"StartingStepSize", "\[Rule]", 
       SuperscriptBox["10", 
        RowBox[{"-", "12"}]]}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"u3", "[", "t", "]"}], "/.", "res"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "0.01"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t [s]\>\"", ",", "\"\<u3 [V]\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Thick", ",", "Yellow"}], "}"}]}], ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"GridLinesStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"Orange", ",", "Dashed"}], "]"}]}], ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"GrayLevel", "[", "0.5", "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.53898452046875*^9, 3.53898473503125*^9}, {
  3.5389847765*^9, 3.53898480071875*^9}, {3.53898485784375*^9, 
  3.538984914265625*^9}, {3.5389850301875*^9, 3.538985062078125*^9}, {
  3.538985166140625*^9, 3.538985192765625*^9}, {3.538985981984375*^9, 
  3.53898601003125*^9}, {3.538986053140625*^9, 3.5389860589375*^9}, {
  3.538986098703125*^9, 3.538986104328125*^9}, {3.5389861514375*^9, 
  3.538986359125*^9}, {3.5389863941875*^9, 3.53898640809375*^9}, {
  3.538986440765625*^9, 3.5389864571875*^9}}]
},
WindowSize->{1111, 681},
WindowMargins->{{0, Automatic}, {Automatic, -4}},
ShowSelection->True,
Magnification->1.6000001430511475`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 5147, 149, 644, "Input"]
}
]
*)

(* End of internal cache information *)
